Hermos API

Get Agent

GET/agents/{agent}

Authorization

cookieAuth
__Host-hms_session<token>

In: cookie

Path Parameters

agent*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "company_id": "string",  "livemode": true,  "status": "active",  "enabled_classes": [    {      "operation_class": "string",      "currencies": [        "string"      ],      "credit_types": [        "string"      ]    }  ],  "limits": [    {      "id": "string",      "agent_id": "string",      "operation_class": "string",      "dimension": "action",      "window": "day",      "timezone": "string",      "currency": "string",      "credit_type": "string",      "max_amount": 0,      "max_count": 0,      "second_approval_above": 0,      "retired": true    }  ],  "usage": [    {      "limit_id": "string",      "bucket_key": "string",      "amount": 0,      "count": 0    }  ],  "always_ask": [    "string"  ],  "over_limit_behavior": "refuse",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "object": "agent",  "name": "string",  "created_at": "2019-08-24T14:15:22Z"}